Bug 187401 - CVE-2006-1550 Dia multiple buffer overflows
Summary: CVE-2006-1550 Dia multiple buffer overflows
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dia
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard: reported=20060329,source=secalert,pub...
Keywords: Security
Depends On:
Blocks: 188108
TreeView+ depends on / blocked
 
Reported: 2006-03-30 18:42 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-05-03 15:56:40 UTC


Attachments (Terms of Use)
Demo Exploit #1 (157 bytes, application/octet-stream)
2006-03-30 18:44 UTC, Josh Bressers
no flags Details
Demo Exploit #2 (219 bytes, application/octet-stream)
2006-03-30 18:44 UTC, Josh Bressers
no flags Details
Demo Exploit #3 (156 bytes, application/octet-stream)
2006-03-30 18:45 UTC, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0280 normal SHIPPED_LIVE Moderate: dia security update 2006-05-03 04:00:00 UTC

Description Josh Bressers 2006-03-30 18:42:27 UTC
Dia multiple buffer overflows

infamous41md discovered three buffer overflows in Dia's xfig importer.
The issues are caused by unchecked input from the xfig file.

The patch can be found here:
http://mail.gnome.org/archives/dia-list/2006-March/msg00149.html


This issue also affects RHEL2.1

Comment 1 Josh Bressers 2006-03-30 18:44:34 UTC
Created attachment 127062 [details]
Demo Exploit #1

Comment 2 Josh Bressers 2006-03-30 18:44:59 UTC
Created attachment 127063 [details]
Demo Exploit #2

Comment 3 Josh Bressers 2006-03-30 18:45:20 UTC
Created attachment 127064 [details]
Demo Exploit #3

Comment 5 Caolan McNamara 2006-04-03 09:49:27 UTC
For bug 187559, RHEL-4 has been rebuilt and mkerrata re-ran#

dist-4E-errata-candidate dia-0.94-5.3


Comment 6 Caolan McNamara 2006-04-04 07:36:29 UTC
dist-2.1AS-errata-candidate dia-0.88.1-3.2 has been respun and mkerrata run for
RHEL-2.1 to pick-up fixed buildroot.

Comment 8 Caolan McNamara 2006-04-28 09:53:28 UTC
RHEL-4 packages rebuilt to avoid huge mem alloc on invalid record size and
mkerrata has been rerun for RHEL-4

dist-4E-errata-candidate dia-0.94-5.4

Comment 11 Red Hat Bugzilla 2006-05-03 15:56:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0280.html



Note You need to log in before you can comment on or make changes to this bug.